Bug 994295 - dracut ip=....:ibft fails to boot iscsi on root
dracut ip=....:ibft fails to boot iscsi on root
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 22:14 EDT by Richard Chan
Modified: 2015-02-18 06:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:04:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ibft firmware set by iPXE (592 bytes, text/plain)
2013-08-06 22:14 EDT, Richard Chan
no flags Details
Working anaconda cmdline - complete iscsi information present (460 bytes, text/plain)
2013-08-06 22:17 EDT, Richard Chan
no flags Details
ipxe script that launches the VM iscsi-on-roto (402 bytes, application/x-shellscript)
2013-08-06 22:18 EDT, Richard Chan
no flags Details

  None (edit)
Description Richard Chan 2013-08-06 22:14:08 EDT
Created attachment 783597 [details]
ibft firmware set by iPXE

Description of problem:
iscsi on root: if dracut cmdline  is changed from ip=....:dhcp to 
ip=....:ibft the boot will fail at basic target; system does not proceed
to mount iscsi target 


Version-Release number of selected component (if applicable):
029-2.fc19

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora 19, updates to iscsi-on-root VM. System boots successfully.
2. Change dracut cmdline from ip=....:dhcp to ip=....:ibft
3.

Actual results:
System gets stuck at Basic Target; does not proceed to iscsistart
message: RTNETLINK exists


Expected results:
System boots to multi-user.target


Additional info:
VM has two nics, eth0, eth1, iPXE boot script from eth0 sets eth1/iscsi parameters and boots system to grub on iscsi

System boots successfully with cmdline set by anaconda.
Change ip addressing to ibft means system boot fails.

If I delete all ip,iscsi information and only use

root=XXXX netroot=iscsi rd.iscsi.firmware=1

system boot fails similarly. I suspect some bug in using ibft.

Using the same VM with CentOS 6.4 using only iscsi_firmware on cmdline,
i.e., no ip/iscsi information at all works perfectly
Comment 1 Richard Chan 2013-08-06 22:17:35 EDT
Created attachment 783598 [details]
Working anaconda cmdline - complete iscsi information present

Change 
ip=::::hostname:eth1:dhcp - PASS
to
ip=::::hostname:eth1:ibft  - FAIL

As recommended in dracut.cmdline man page; try to hide credentials

Replace
ifname=xxxx ip=xxxx netroot=xxxx iscsi_initiator=xxxx

with
netroot=iscsi rd.iscsi.firmware=1 -FAIL

Note:
iscsi_firmware (no other iscsi/ip information) works on older dracut (CentOS 6.4)
Comment 2 Richard Chan 2013-08-06 22:18:46 EDT
Created attachment 783599 [details]
ipxe script that launches the VM iscsi-on-roto

This script successfully launches Fedora 19 VM iscsi-on-root.
Comment 3 Richard Chan 2013-08-06 22:22:39 EDT
Static & DHCP ip addressing works:

ip=172.16.16.1:::255.255.240.0:hostname:eth1:none - PASS
ip=:::255.255.240.0:hostname:eth1:dhcp - PASS

ip=ibft - FAIL
ip=::::hostname:eth1:ibft - FAIL
Comment 4 Richard Chan 2013-08-07 11:01:11 EDT
Ouch - for some reason the initramfs did not have iscsi_ibft.ko in it.
Once I remade the initramfs it seems to be working.
Comment 5 Harald Hoyer 2013-08-20 08:39:42 EDT
commit 7929ec198fa693f07160518b6858e967fdd53f48
Comment 8 Fedora End Of Life 2015-01-09 17:27:13 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-18 06:04:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.